Subject: bug#33100: [libssh] fatal: dumb http transport does not support shallow capabilities

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 21 Oct 2018 17:42:10 -0400

Hello Leo,

Leo Famulari <[email-masked]> writes:

> On Sat, Oct 20, 2018 at 11:24:24PM -0400, Maxim Cournoyer wrote:
>> [email-masked] (Ludovic Courtès) writes:
>> > On closer inspection, it seems that there’s nothing “fatal” here: if you
>> > let it run for a while (1 or 2 minutes), it ends up silently cloning the
>> > whole repo and the derivation build eventually succeeds.
>> 
>> It did end up working fine, although it took a large amout of time for
>> doing what seems to be a checkout (4 min 46 s). I did some experiments
>> and this is really the time it took to do a full clone of the libssh
>> project.
>
> Great, you figured it out :)
>
> More explanation:
>
> Git has a few different server protocols: git, dumb HTTP, smart HTTP,
> and SSH:
>
> https://git-scm.com/book/en/v2/Git-on-the-Server-The-Protocols
>
> The dumb HTTP protocol is slow and does not show any progress status or
> other informative message while it works, but if you monitor your
> network traffic you can see it working.
>
> For obvious reasons, it's rare to see the dumb HTTP protocol deployed
> nowadays, but you may still find it on legacy installations.

Thanks for the extra bits of information :)

Cheers,

Maxim